<template>

  <section class="has-background-dark">
    <div>
      <div align="center">
        <h1 style="font-size:2em; font:bold; padding-left:10px;" class="has-text-light">
          <strong class="has-text-light"> Capteur {{this.$route.params.id}} </strong>
        </h1>
      </div>

      <div class="grid">
        <VuePompier v-bind:id="id"/>
      </div>
    </div>

    <Footer />

  </section>

</template>


<script>
  import Footer from "~/components/Footer.vue";
  import VuePompier from '~/components/VuePompier.vue';

  export default {
    components: {
      VuePompier,
      Footer
    },

    data(){
      return {
        id: this.$route.params.id,
        listDonneePompier: []
      }
    },

    mounted() {
      this.listDonneePompier = this.pompier();
    },

    computed:{
      pompiers() {
  			return this.$store.state.donnee.telemetrie
  		}
    },

    methods: {
      pompier(){
        var sauvData = []
        var sauvId = this.id;
        this.pompiers.forEach(function(donnees){
          if (donnees.devaddr == sauvId) {
            sauvData.push(donnees);
          };
        });
        return sauvData
        // return this.pompiers.find(pompiers => this.pompiers.devaddr === this.id);
      },
    }

  };

</script>
